BDU:2018-00028: Уязвимость библиотеки spice, связанная с переполнением буфера, позволяющая нарушителю вызвать отказ в обслуживании или выполнить произвольный код

Описание уязвимости Уязвимость библиотеки spice связана с переполнением буфера (раскрытие содержимого памяти). Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании или выполнить произвольный код при помощи специально сформированного сообщения
Вендор АО «НПО РусБИТех», Red Hat Inc.
Наименование ПО Astra Linux, spice
Версия ПО
  • 1.5 «Смоленск» (Astra Linux)
  • до 0.13 включительно (spice)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Linux -
Тип ошибки Выход операции за границы буфера в памяти
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 19.05.2017
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,5)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)
Возможные меры по устранению уязвимости
Для Astra Linux:
Обновление программного обеспечения до 0.12.5-1+deb8u3 или более поздней версии

Для spice:
Обновление программного обеспечения до более поздней версии
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения